@echo off

echo %~dp0
cd /d %~dp0

:digsi_path
set found_digsi=1
rem Driver C
set DigsiPath1=C:\Siemens\DIGSI4
set DigsiPath2=C:\Siemens\DIGSI4\Manager\S7Bin
if exist %DigsiPath2% goto Copy_dll

rem Driver D
set DigsiPath1=D:\Siemens\DIGSI4
set DigsiPath2=D:\Siemens\DIGSI4\Manager\S7Bin
if exist %DigsiPath2% goto Copy_dll

rem Driver E
set DigsiPath1=E:\Siemens\DIGSI4
set DigsiPath2=E:\Siemens\DIGSI4\Manager\S7Bin
if exist %DigsiPath2% goto Copy_dll

rem Driver F
set DigsiPath1=F:\Siemens\DIGSI4
set DigsiPath2=F:\Siemens\DIGSI4\Manager\S7Bin
if exist %DigsiPath2% goto Copy_dll

rem Driver G
set DigsiPath1=G:\Siemens\DIGSI4
set DigsiPath2=G:\Siemens\DIGSI4\Manager\S7Bin
if not exist %DigsiPath2% set found_digsi=0

:Copy_dll
if %found_digsi%==0 goto copy_dll_sys
copy dunzip32.dll %DigsiPath1%
copy dz_ez32.dll  %DigsiPath1%
copy dzip32.dll   %DigsiPath1%

:copy_dll_sys
rem copy dll to system folder
copy dunzip32.dll %SystemRoot%
copy dz_ez32.dll  %SystemRoot%
copy dzip32.dll   %SystemRoot%
set AccessErr=%errorlevel%

rem Access denied
if %AccessErr% neq 0 goto access_denied

rem Digsi not found
if %found_digsi%==0 goto no_digsi

:success
echo.
echo ==============================
echo !!!!!!!!!!Successful!!!!!!!!!!
echo ==============================
echo.
goto end

:access_denied
echo.
echo =========================================================
echo !!Failed! Please run this batch script as Administrator!!
echo =========================================================
echo.
goto end

:no_digsi
echo.
echo ===================================
echo !!Failed! No Digsi4 was installed!!
echo ===================================
echo.
goto end

:end
pause
